INCLUDERES(1)

NAME
includeres - include resources in a PostScript document

SYNOPSIS
includeres [OPTION...] [INFILE [OUTFILE]]

DESCRIPTION
Include resources in a PostScript document.

--help
    display this help and exit

--version
    display version information and exit

Includeres includes resources (fonts, procsets, patterns, files, etc.) in place of %%IncludeResource comments in a PostScript document. The resources are searched for under the resource name, and with an appropriate extension. The pipeline

    extractres file.ps | includeres >out.ps

will move all resources appearing in a document to the document prologue, removing redundant copies. The output file can then be put through page re-arrangement filters such as psnup or pstops safely.

  Exit status:

0   if OK,

1   if arguments or options are incorrect, or there is some other problem starting up,

2   if there is some problem during processing, typically an error reading or writing an input or output file.

AUTHOR
Written by Angus J. C. Duggan and Reuben Thomas.

BUGS
includeres does not alter the %%DocumentNeededResources comments.

COPYRIGHT
Copyright © Reuben Thomas 2012-2019.
Copyright © Angus J. C. Duggan 1991-1997.

TRADEMARKS
PostScript is a trademark of Adobe Systems Incorporated.

SEE ALSO
psutils(1), paper(1)